#include <gtest/gtest.h>
#include <cmath>
#include <fstream>
#include "../dataChannelTestUtility.h"
#include "../taskTests.h"
#include "../../../software/signal_processing_bsp/system.h"
#include "../../data/fft.h"
#include "../../data/crc.h"

int main( int argc, char ** argv ) {
    ::testing::InitGoogleTest(&argc, argv);
    return RUN_ALL_TESTS();
}

TEST( test_task_crc, execute_and_check ) {
    dataChannelFill( DATA_CHANNEL_5_BASE, expected_fft );
    configureAndRunCrc();
    dataChannelCheck( DATA_CHANNEL_6_BASE, expected_crc, "data.py" );
}

